Old 10th September 2012, 19:43   #1
ScorpRadio
Junior Member
 
Join Date: Mar 2005
Location: Las Vegas
Posts: 45
Sqr Soft Crossfader issue

Greetings All,

Hoping this is the right area to post this.
I recently started up my stream again and decided to go back to Sqr Soft's Crossfader.
The issue is when I go to configure the plugin. Under the DSP tab I see the Shoutcast DSP v2.2 listed however, when highlighting it I receive this error.



Interesting thing is I am using WA 5.63. In essence, this is not working at all.
I know that this is a third party software and not a support by SC but was wondering if anyone using this came across this problem and the remedy.
Any assistance is greatly appreciated!

+Rush+[p.d.]
SCORP RADIO
ScorpRadio is offline   Reply With Quote
Old 10th September 2012, 22:04   #2
DrO
 
Join Date: Sep 2003
Posts: 27,873
just because you're using Winamp 5.63 doesn't mean how you're loading the Source DSP is providing the right version of the DSP plug-in API. as Sqr Soft Crossfader hasn't seen any updates in years, it is not providing a Winamp 5.5+ compatible DSP plug-in API and that is why the Source DSP shows that error as you are using it in a DSP stacker scenario.

-daz
DrO is offline   Reply With Quote
Old 10th September 2012, 22:07   #3
ScorpRadio
Junior Member
 
Join Date: Mar 2005
Location: Las Vegas
Posts: 45
So...does this mean it will not operate at all? Do I have any options in resolve?

+Rush+[p.d.]
SCORP RADIO
ScorpRadio is offline   Reply With Quote
Old 10th September 2012, 22:17   #4
DrO
 
Join Date: Sep 2003
Posts: 27,873
unless the Sqr Soft Crossfader plug-in is updated / patched somehow, the Source DSP will not work with it.

that blocking in the Source DSP will not be removed as the Winamp 5.5+ requirement is there to ensure that the Source DSP is not having to do a load of compatibility handling to try to keep it working on older Winamp versions whilst compromising things for newer versions (and as Winamp 5.5 is 5 years old, going back that far is a pain to test against - personally i'd only allow it to run on Winamp 5.6 which itself is almost 2 years old).

-daz
DrO is offline   Reply With Quote
Old 11th September 2012, 17:23   #5
ScorpRadio
Junior Member
 
Join Date: Mar 2005
Location: Las Vegas
Posts: 45
Thanks for the tip Dro...guess I will have to find another

+Rush+[p.d.]
SCORP RADIO
ScorpRadio is offline   Reply With Quote
Old 11th September 2012, 17:45   #6
DrO
 
Join Date: Sep 2003
Posts: 27,873
the fix would be super simple in the Sqr Soft Crossfader plug-in as it just needs a value passed through with it's own DSP loading, but to patch that plug-in without breaking anything else is potentially a few hours work for someone who really knows how these things work (which i'm sorry to say i cannot justify even considering to do any time soon if i cannot really commit to updating my own personal Winamp plug-ins).

-daz
DrO is offline   Reply With Quote
Old 11th September 2012, 19:31   #7
thinktink
Forum King
 
thinktink's Avatar
 
Join Date: May 2009
Location: On the streets of Kings County, CA.
Posts: 3,013
Send a message via Skype™ to thinktink
Which version of the Sqr Soft's Crossfader plugin are you using? I'm unable to replicate your error with both the version on the Winamp Plugins website and Sqr Soft's latest version from their own website.
thinktink is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Shoutcast > Shoutcast Technical Support

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump